Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0048443
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] Restaurantsmajoralways2022-01-12 15:272022-01-27 11:29
Reportertimothee_catteeuwView Statuspublic 
Assigned Toelara 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0048443: JIRA 2597 - Open drawer when closing does not work

DescriptionCf. this part of wiki :

http://wiki.openbravo.com/wiki/Retail:Web_POS_User_Guide#Cash_Up [^]

I verified on my client environments (restaurant version) this parameter "Web POS Open Drawer approval Cash Up" is correctly put to “Y”. Yet the drawer is not opened just after closing the till.

According to wikipedia : Since RMP29 the cash drawer will be opened when this screen is shown if one of the payments methods is defined as cash or it is configured to open the cash drawer.

It should be opened because of configuring this parameter.
Steps To Reproduce1) Go to BO and open preference window
verify if "Web POS Open Drawer approval Cash Up" is put to Yes for your client or for your organization (otherwise create it)
2) Refresh data on WebPos by log out and login + refresh data
3) Do and pay several tickets
4) Close your till by clicking "close till" option
--> Drawer is not opened

You can also try by clicking on "count safe box", drawer is also not opened
Proposed SolutionManage opening of the drawer when closing either with the existing preference or with a new preference
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks backport 0048389TAP newelara JIRA 2597 - Open drawer when closing does not work 

-  Notes
(0134435)
guilleaer (manager)
2022-01-20 19:13

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/784 [^]
(0134436)
hgbot (developer)
2022-01-20 19:14

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: ad639d5404e597dabd7efbe68397514e10cfc67c
Author: Eduardo Lara <eduardo.lara@smfconsulting.es>
Date: 20-01-2022 14:38:32
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/ad639d5404e597dabd7efbe68397514e10cfc67c [^]

Fixes ISSUE-48443: Execute OpenDrawer at close till

---
A web-jspack/org.openbravo.pos2/src/model/cashup/actions/OpenDrawer.js
M web-jspack/org.openbravo.pos2/src/model/cashup/CashupExtension.js
---
(0134438)
guilleaer (manager)
2022-01-20 19:14
edited on: 2022-01-20 19:15

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/784 [^]

(0134498)
hgbot (developer)
2022-01-21 17:35

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 63ae0e0ffdc1218ce8d5a2fea01ecccdd8cddae1
Author: Guillermo Alvarez de Eulate <guillermo.alvarez@openbravo.com>
Date: 21-01-2022 16:35:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/63ae0e0ffdc1218ce8d5a2fea01ecccdd8cddae1 [^]

Revert "Fixes ISSUE-48443: Execute OpenDrawer at close till"

This reverts commit ad639d5404e597dabd7efbe68397514e10cfc67c
---
M web-jspack/org.openbravo.pos2/src/model/cashup/CashupExtension.js
R web-jspack/org.openbravo.pos2/src/model/cashup/actions/OpenDrawer.js
---
(0134506)
hgbot (developer)
2022-01-24 11:06

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/788 [^]
(0134509)
hgbot (developer)
2022-01-24 12:23

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: b9955ab33916fce3234bb57629f9a5240af131eb
Author: Cristian Berner <cristian.berner@openbravo.com>
Date: 24-01-2022 11:25:13
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/b9955ab33916fce3234bb57629f9a5240af131eb [^]

Fixes ISSUE-48443: Open drawer should be executed at close till

---
A web-jspack/org.openbravo.pos2/src/model/global/__test__/OpenDrawer.test.js
A web-jspack/org.openbravo.pos2/src/model/global/actions/OpenDrawer.js
M web-jspack/org.openbravo.pos2/src/model/cashup/CashupExtension.js
M web-jspack/org.openbravo.pos2/src/model/ticket/TicketExtension.js
M web-jspack/org.openbravo.pos2/src/model/ticket/__test__/CompleteTicketHooks.test.js
M web-jspack/org.openbravo.pos2/src/model/ticket/actions/CompleteTicketHooks.js
---
(0134510)
hgbot (developer)
2022-01-24 12:23

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/788 [^]
(0134557)
hgbot (developer)
2022-01-25 16:50

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 13fb85f68861da6fdafc696fa730c8bd53af0f6d
Author: Eduardo Lara <eduardo.lara@smfconsulting.es>
Date: 25-01-2022 10:17:22
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/13fb85f68861da6fdafc696fa730c8bd53af0f6d [^]

Fixes ISSUE-48443: Open drawer should be executed at close till

---
M web-jspack/org.openbravo.pos2/src/components/Cashup/utils/getCashupToSend.js
M web-jspack/org.openbravo.pos2/src/model/cashup/CashupExtension.js
---
(0134594)
cberner (developer)
2022-01-27 11:29

Created MR for Agap fix: https://gitlab.com/obcustomers/AGAP/com.openbravo.flunch.reports/-/merge_requests/20/ [^]

- Issue History
Date Modified Username Field Change
2022-01-20 09:24 guilleaer Type defect => backport
2022-01-20 09:25 guilleaer Type backport => defect
2022-01-20 09:25 guilleaer Target Version TAP =>
2022-01-20 19:13 guilleaer Note Added: 0134435
2022-01-20 19:14 hgbot Resolution open => fixed
2022-01-20 19:14 hgbot Status scheduled => resolved
2022-01-20 19:14 hgbot Note Added: 0134436
2022-01-20 19:14 guilleaer Note Added: 0134438
2022-01-20 19:15 guilleaer Note Edited: 0134438 View Revisions
2022-01-20 19:15 guilleaer Review Assigned To => guilleaer
2022-01-20 19:15 guilleaer Status resolved => closed
2022-01-21 17:35 hgbot Status closed => resolved
2022-01-21 17:35 hgbot Note Added: 0134498
2022-01-24 11:06 hgbot Note Added: 0134506
2022-01-24 12:23 hgbot Status resolved => closed
2022-01-24 12:23 hgbot Note Added: 0134509
2022-01-24 12:23 hgbot Note Added: 0134510
2022-01-25 16:50 hgbot Note Added: 0134557
2022-01-27 11:29 cberner Note Added: 0134594


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker